Bug 434964 - screen brightness will not stay dim
screen brightness will not stay dim
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-26 10:39 EST by Walter Neumann
Modified: 2013-03-05 22:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:04:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Walter Neumann 2008-02-26 10:39:24 EST
Description of problem: If I set screen brightness to less than 100% in power
manager settings or using keyboard the brightness always gradually increases to 100%
Version-Release number of selected component (if applicable):
gnome-power-manager-2.20.0-6.fc8

How reproducible:
Always

Steps to Reproduce:
1. Set brighness to 0% on battery in power manager settings
2. unplug ac
3. 
  
Actual results:
Screen dims when ac is unplugged, then gradually reverts to 100% over about a minute

Expected results:
Screen should dim and stay dim

Additional info:
Same behavior if I set brightness on ac to 0% and plug in cable.  If brightness
on ac and battery are both 0% then either action (plugging in or out) dims the
screen, but screen gradually reverts to full brightness over next minute.

If I reset brightness with the keyboard keys, screen still gradually brightens
again. (If I then touch a screen brightness key it reverts directly to dim,
rather than stepping gradually). 

The only way I can have a dim screen is to kill gome-power-manager.

I have seen the same bug reported on ubuntu forums.
Comment 1 Walter Neumann 2008-02-26 17:26:36 EST
Workaround??:
This has been a consistent problem since upgrading to FC8 over 3 months ago, but
the following steps just fixed it for me (Dell D410):

1. In a terminal (as me, not root):
 > killall gnome-power-manager
 > gnome-power-manager
2. ctrl-alt-backspace
3. log in again

Without the second half of step 1 the problem was always back after killing X,
logging out or rebooting, so restarting gnome-power-manager within the existing
gnome session appears to be what fixed it.

I can't debug this further since the above fix has survived logging out and in
and rebooting.
Comment 2 Walter Neumann 2008-02-27 00:00:16 EST
After a suspend/Resume the problem was back again.

Killing gnome-power-manager did not help -- screen gradually brightened to full
even with gnome-power-manager not running! I've never seen this before. Repeated
kill and restart of gnome-power-manager did not help. 

But this time just restarting X fixed it (it never has before).

I don't see any pattern here.  For three months one behavior and now something
totally different.
Comment 3 Ralf Ertzinger 2008-04-29 13:32:49 EDT
Same here, on a Lenovo X60s. As long as g-p-m is running, the screen brightness
constantly brighter, in, at least for me, totally random time intervals.
Comment 4 Bug Zapper 2008-11-26 04:56:40 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 01:04:03 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.